Bug 572914 (CVE-2010-0827) - CVE-2010-0827 tetex, texlive: Buffer overflow flaw by processing virtual font files
Summary: CVE-2010-0827 tetex, texlive: Buffer overflow flaw by processing virtual font...
Status: CLOSED ERRATA
Alias: CVE-2010-0827
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendor-sec,rep...
Keywords: Security
Depends On: 577309 577322 577323
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-12 10:34 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:57 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-07 08:06:04 UTC


Attachments (Terms of Use)
patch from upstream to correct the flaw (525 bytes, patch)
2010-03-15 15:43 UTC, Vincent Danen
no flags Details | Diff
Updated patch from Karl Berry (672 bytes, patch)
2010-04-13 12:43 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0401 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:10:40 UTC

Description Jan Lieskovsky 2010-03-12 10:34:43 UTC
Dan Rosenberg found a buffer overflow flaw in the way
TeX text formatting system processed virtual font files.
If a user was tricked into processing a specially-crafted
typesetter-independent .dvi (DeVice Independent) file,
it could lead to dvips executable crash or, potentially,
to arbitrary code execution with the privileges of the user
running dvips.

Comment 1 Jan Lieskovsky 2010-03-12 10:36:49 UTC
This issue affects with limited impact the versions of
the tetex package, as shipped with Red Hat Enterprise Linux 3
By processing specially-crafted DVI file this version of
tetex launches the "emergency stop" trigger, which prevents
the denial of service (dvips crash).

This issue affects the version of the tetex package, as shipped
with Red Hat Enterprise Linux 4.

This issue does NOT affect the version of the tetex package,
as shipped with Red Hat Enterprise Linux 5 due to applied
FORTIFY SOURCE protection, which detects the attack and
terminates the particular process prior it can do something
harmful.

This issue does NOT affect the versions of the texlive package,
as shipped with Fedora release of 11 and 12 due to applied
FORTIFY SOURCE protection.

For further information regarding FORTIFY SOURCE feature,
please proceed to:
  [1] http://www.redhat.com/magazine/009jul05/features/execshield/#checks

Comment 4 Vincent Danen 2010-03-15 15:43:26 UTC
Created attachment 400247 [details]
patch from upstream to correct the flaw

Upstream patch from Karl Berry to correct this flaw.

Comment 10 Jan Lieskovsky 2010-04-13 12:43:50 UTC
Created attachment 406226 [details]
Updated patch from Karl Berry

Comment 13 errata-xmlrpc 2010-05-06 18:54:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 14 errata-xmlrpc 2010-05-06 19:10:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0401 https://rhn.redhat.com/errata/RHSA-2010-0401.html

Comment 15 Tomas Hoger 2010-05-10 09:06:19 UTC
Upstream commit:
  http://www.tug.org/svn/texlive?view=revision&revision=17560


Note You need to log in before you can comment on or make changes to this bug.